<?php

// Member's Achievements
function template_edit_visible_achievements()
{
	global $txt, $context, $modSettings, $scripturl, $boardurl;

	loadLanguage('Achievements');
	
	// If we need the sort box _or_ categories box (or both)
	if ((isset($context['achievements_members']['sort']) && $context['achievements_members']['sort'] == true) || (isset($context['achievements_members']['categories']))) 
	{
		echo '
				<div class="tborder catbg" style="padding: 4px; border-bottom: none"><span style="padding-left:0.5rem;float:left;">', $txt['achievements_only_4'] ,'</span>';
			
		// The sort box?
		if (isset($context['achievements_members']['sort']) && $context['achievements_members']['sort'] == true)
			echo '
				<form action="', $scripturl, '" method="get">
					<input type="hidden" name="action" value="profile" />
					<input type="hidden" name="area" value="achievements" />
					<input type="hidden" name="userid" value=' , $context['achievements_members']['member'] , ' />
						<div style="float: right">
								<b>', $txt['achievements_sort'], ':</b>
								<select name="sort">
									<option value="0"', ($context['achievements_members']['sort_type'] == $txt['achievement_name'] ? ' selected="selected"' : ''), '>', $txt['achievement_name'], '</option>
								</select>
								
								<select name="sortDir">
									<option value="0"', ($context['achievements_members']['sort_dir'] == $txt['achievements_asc'] ? ' selected="selected"' : ''), '>', $txt['achievements_asc'], '</option>
									<option value="1"', ($context['achievements_members']['sort_dir'] == $txt['achievements_desc'] ? ' selected="selected"' : ''), '>', $txt['achievements_desc'], '</option>
								</select>
								
								<input type="submit" value="Go" />
							
						</div>';
		echo '
					</form><br clear="all" />
				</div>';
	}
	
    echo '
	<form action="', $scripturl, '?action=profile;area=achievements;do=save" method="post">
                    <input type="hidden" name="userid" value=' , $context['achievements_members']['member'] , ' />
                    <table width="100%" cellpadding="5" cellspacing="1" border="0" class="bordercolor">
                        <tr valign="top" class="titlebg">
                            <td>
                                <b>', $txt['acheivement_image'], '</b>
                            </td>
                            <td>
                                <b>', $txt['achievement_achievement'], '</b>
                            </td>
                            <td>
                                <b>', $txt['achievement_display_on_post'], '</b>
                            </td>
                        </tr>';

	$alternating = "windowbg2";
	
	// Loop through all the achievements
	foreach ($context['achievements_members']['members'] as $item)
	{
		echo '
                        <tr valign="top" class="', $alternating, '">
                            <td>
                                <img border="0" width="', $modSettings['achievementImageWidth'], '" height="', $modSettings['achievementImageHeight'], '" src="', $boardurl, '/Sources/achievements/images/', $item['achievement_image'], '" alt="Item Image" />
                            </td>
                            <td>
                                ', $item['achievement_name'], '
                            </td>
							<td>
								<input type="hidden" name="ach_list[', $item['id'], ']" value=' , $item['id'] , ' />
                                <input type="checkbox" name="display[', $item['id'] ,']"', $item['display'] ? ' checked="checked"' : '', ' class="input_check" />
                            </td>
                        </tr>';
					
		// Change the alternating row background
		$alternating = ($alternating == 'windowbg') ? 'windowbg2' : 'windowbg';

	}

	echo '
					<tr>
					<td></td>
					<td></td>
					<td>
						<input type="submit" value="' . $txt['acheivements_save'] . '" class="button_submit" />
					</td>
					</form>';

	tableFooter($context['achievements_members']['pages']['current'], $context['achievements_members']['pages']['total'], $context['achievements_members']['pages']['link']);
}

function tableFooter($currentPage, $totalPages, $link) {
	global $txt;
	// If this listing should have paging at the bottom
	if (isset($currentPage) && isset($totalPages))
	{
		echo '
				<tr>
					<td colspan="4" align="right" class="catbg">Pages: ';
		
		//If current page != 1, show '< Back' link
		if ($currentPage != 1)
		{
			$prevPage = $currentPage - 1;
			echo '
						<a href="', $link, ';page=', $prevPage, '">', $txt['achievements_back'], '</a> ';
		}
		else
			echo '
						', $txt['achievements_back'], '';
		
		// Show links to all pages
		for ($x = 1; $x <= $totalPages; $x++)
		{
			// If this number is the current page, don't make number a link
			if ($x == $currentPage)
				echo '
						<b>', $x, '</b>';
			else
				echo '
						<a href="', $link, ';page=', $x, '">', $x, '</a> ';			
		}
		
		// If current page != last page, show 'Next >' link
		if ($currentPage != $totalPages)
		{
			$nextPage = $currentPage + 1;
			echo '
						<a href="', $link, ';page=', $nextPage, '">', $txt['achievements_next'], '</a> ';
		}
		else
			echo '
						', $txt['achievements_next'], ' ';
	
		echo '
					</td>
				</tr>';
	}
	
	// Close the table
	echo '
			</table>';
}

?>