<?php
// Feel free to edit this template however you want, but be careful not to break anything.
// Make sure you have a backup handy.

function template_search_for_member() {

	global $txt, $context, $scripturl, $settings;

	requestDonation();

echo '
<table width="100%" cellpadding="5" cellspacing="0" border="0" class="tborder" style="margin-top: 1.5ex;">
	<tr class="titlebg"><td align="center">', $txt['achievements_member_edit'], '</td></tr>';

if (isset($context['achievements_message'])) {
	echo '<tr class="titlebg"><td align="center" style="background-color: green;color: white;">',
		$context['achievements_message'], '</td></tr>';
}
echo '
	<tr valign="top" class="windowbg2">
		<td style="padding-bottom: 2rem;" width="100%">
			', $txt['achievement_member_search_prompt'], '<br />
			<form action="', $scripturl, '?action=admin;area=achievements_members;do=viewmember" method="post">
				<input name="searchfor" type="text" size="70" />
				<a href="', $scripturl, '?action=findmember;input=searchfor;quote=1;sesc=', $context['session_id'], '" onclick="return reqWin(this.href, 350, 400);"><img src="', $settings['images_url'], '/icons/assist.gif" border="0" alt="', $txt['find_members'], '" /> Find Members</a><br />
				<input type="submit" value="', $txt['achievements_next'], '" />
			</form>
		</td>
	</tr>
	<tr valign="top" class="windowbg2">
		<td style="padding-bottom: 2rem;" width="100%">
			', $txt['achievement_member_bulk_add_prompt'], '<br />
			<form action="', $scripturl, '?action=admin;area=achievements_members;do=bulk_add" method="post">
				<div>
					<select name="ach">';
		foreach ($context['achievements_members']['achievements'] as $achievement)
			echo '
						<option value="', $achievement['id'], '">', $achievement['name'], '</option>';

		echo '
					</select>
				</div>
				<input name="searchfor" type="text" size="70" />
				<a href="', $scripturl, '?action=findmember;input=searchfor;quote=1;sesc=', $context['session_id'], '" onclick="return reqWin(this.href, 350, 400);"><img src="', $settings['images_url'], '/icons/assist.gif" border="0" alt="', $txt['find_members'], '" /> Find Members</a><br />
				<input type="submit" value="', $txt['achievements_add'], '" />
			</form>
		</td>
	</tr>
	<tr valign="top" class="windowbg2">
		<td style="padding-bottom: 2rem;" width="100%">
			', $txt['achievement_member_bulk_remove_prompt'], '<br />
			<form action="', $scripturl, '?action=admin;area=achievements_members;do=bulk_remove" method="post">
				<div>
					<select name="ach">';
		foreach ($context['achievements_members']['achievements'] as $achievement)
			echo '
						<option value="', $achievement['id'], '">', $achievement['name'], '</option>';
		
		echo '
					</select>
				</div>
				<input name="searchfor" type="text" size="70" />
				<a href="', $scripturl, '?action=findmember;input=searchfor;quote=1;sesc=', $context['session_id'], '" onclick="return reqWin(this.href, 350, 400);"><img src="', $settings['images_url'], '/icons/assist.gif" border="0" alt="', $txt['find_members'], '" /> Find Members</a><br />
				<input type="submit" value="', $txt['achievement_delete'], '" />
			</form>
		';

}

// Member's Achievements
function template_member_achievements()
{
	global $txt, $context, $modSettings, $scripturl, $boardurl;

	requestDonation();

	echo '
	<div>Managing achievements for user: ' , $context['achievements_members']['real_name'] , '</div>';
	
	// If we need the sort box _or_ categories box (or both)
	if ((isset($context['achievements_members']['sort']) && $context['achievements_members']['sort'] == true) || (isset($context['achievements_members']['categories']))) 
	{
		echo '
				<div class="tborder catbg" style="padding: 4px; border-bottom: none">';
			
		// The add achievements box
		if (isset($context['achievements_members']['achievements']))
		{
			echo '
			<form action="', $scripturl, '?action=admin;area=achievements_members;do=add" method="post" name = "theAdminForm">
				<input type="hidden" name="userid" value=' , $context['achievements_members']['member'] , ' />
				<div style="float: left">
					<b>', $txt['achievements_add'], ': </b>
					<select name="ach">';
		foreach ($context['achievements_members']['achievements'] as $achievement)
			echo '
						<option value="', $achievement['id'], '">', $achievement['name'], '</option>';
		
		echo '
					</select>
					<input type="submit" value="', $txt['achievements_add'] ,'" />
				</div>
			</form>';
		}

		// The sort box?
		if (isset($context['achievements_members']['sort']) && $context['achievements_members']['sort'] == true)
			echo '
				<form action="', $scripturl, '" method="get">
					<input type="hidden" name="action" value="admin" />
					<input type="hidden" name="area" value="achievements_members" />
					<input type="hidden" name="do" value="manage" />
					<input type="hidden" name="userid" value=' , $context['achievements_members']['member'] , ' />
						<div style="float: right">
								<b>', $txt['achievements_sort'], ':</b>
								<select name="sort">
									<option value="0"', ($context['achievements_members']['sort_type'] == $txt['achievement_name'] ? ' selected="selected"' : ''), '>', $txt['achievement_name'], '</option>
								</select>
								
								<select name="sortDir">
									<option value="0"', ($context['achievements_members']['sort_dir'] == $txt['achievements_asc'] ? ' selected="selected"' : ''), '>', $txt['achievements_asc'], '</option>
									<option value="1"', ($context['achievements_members']['sort_dir'] == $txt['achievements_desc'] ? ' selected="selected"' : ''), '>', $txt['achievements_desc'], '</option>
								</select>
								
								<input type="submit" value="Go" />
							
						</div>';
		echo '
					</form><br clear="all" />
				</div>';
	}
	
	echo '
				<table width="100%" cellpadding="5" cellspacing="1" border="0" class="bordercolor">
					<tr valign="top" class="titlebg">
						<td>
							<b>', $txt['acheivement_image'], '</b>
						</td>
						<td>
							<b>', $txt['achievement_achievement'], '</b>
						</td>
						<td>
							<b>', $txt['achievement_actions'], '</b>
						</td>
					</tr>';

	$alternating = "windowbg2";
	
	// Loop through all the achievements
	foreach ($context['achievements_members']['members'] as $item)
	{
		echo '
					<tr valign="top" class="', $alternating, '">
						<td>
							<img border="0" width="', $modSettings['achievementImageWidth'], '" height="', $modSettings['achievementImageHeight'], '" src="', $boardurl, '/Sources/achievements/images/', $item['achievement_image'], '" alt="Item Image" />
						</td>
						<td>
						<a href="' , $scripturl ,'?action=admin;area=achievements_members;do=viewach;achid=', $item['ach_id'] ,'">', $item['achievement_name'], '</a>
						</td>
						<td>
							<a href="', $scripturl, '?action=admin;area=achievements_members;userid=', $context['achievements_members']['member'] ,';do=delete&id=', $item['id'], '">', $txt['achievement_delete'], '</a>
						</td>
					</tr>';
					
		// Change the alternating row background
		$alternating = ($alternating == 'windowbg') ? 'windowbg2' : 'windowbg';

	}

	tableFooter($context['achievements_members']['pages']['current'], $context['achievements_members']['pages']['total'], $context['achievements_members']['pages']['link']);
}

// Member's Achievements
function template_achievement_owners()
{
	global $txt, $context, $modSettings, $scripturl, $boardurl;

	requestDonation();
	
	// If we need the sort box _or_ categories box (or both)
	if (isset($context['achievements_owners']['sort']) && $context['achievements_owners']['sort'] == true) 
	{
		echo '
				<div class="tborder catbg" style="padding: 4px; border-bottom: none">
				<span style="float:left;padding-left:0.5rem;">Managing owners for achievement: ' , $context['achievements_owners']['ach_name'] , '</span>';

		// The sort box?
		if (isset($context['achievements_owners']['sort']) && $context['achievements_owners']['sort'] == true)
			echo '
				<form action="', $scripturl, '" method="get">
					<input type="hidden" name="action" value="admin" />
					<input type="hidden" name="area" value="achievements_members" />
					<input type="hidden" name="do" value="viewach" />
					<input type="hidden" name="achid" value=' , $context['achievements_owners']['achid'] , ' />
						<div style="float: right">
								<b>', $txt['achievements_sort'], ':</b>
								<select name="sort">
									<option value="0"', ($context['achievements_owners']['sort_type'] == $txt['achievement_name'] ? ' selected="selected"' : ''), '>', $txt['achievement_name'], '</option>
									<option value="1"', ($context['achievements_owners']['sort_type'] == $txt['achievement_display_name'] ? ' selected="selected"' : ''), '>', $txt['achievement_display_name'], '</option>
								</select>
								
								<select name="sortDir">
									<option value="0"', ($context['achievements_owners']['sort_dir'] == $txt['achievements_asc'] ? ' selected="selected"' : ''), '>', $txt['achievements_asc'], '</option>
									<option value="1"', ($context['achievements_owners']['sort_dir'] == $txt['achievements_desc'] ? ' selected="selected"' : ''), '>', $txt['achievements_desc'], '</option>
								</select>
								
								<input type="submit" value="Go" />
							
						</div>';
		echo '
					</form><br clear="all" />
				</div>';
	}
	
	echo '
				<table width="100%" cellpadding="5" cellspacing="1" border="0" class="bordercolor">
					<tr valign="top" class="titlebg">
						<td>
							<b>', $txt['achievement_display_name'], '</b>
						</td>
						<td>
							<b>', $txt['achievement_name'], '</b>
						</td>
						<td>
							<b>', $txt['achievement_actions'], '</b>
						</td>
					</tr>';

	$alternating = "windowbg2";
	
	// Loop through all the achievements
	foreach ($context['achievements_owners']['members'] as $item)
	{
		echo '
					<tr valign="top" class="', $alternating, '">
						<td>
							<a href="' , $scripturl ,'?action=admin;area=achievements_members;do=viewmember;userid=', $item['member_id'] ,'">', $item['real_name'], '</a>
						</td>
						<td>
							<a href="' , $scripturl ,'?action=admin;area=achievements_members;do=viewmember;userid=', $item['member_id'] ,'">', $item['member_name'], '</a>
						</td>
						<td>
							<a href="', $scripturl, '?action=admin;area=achievements_members;achid=', $context['achievements_owners']['achid'] ,';do=delete&id=', $item['id'], '">', $txt['achievement_delete'], '</a>
						</td>
					</tr>';
					
		// Change the alternating row background
		$alternating = ($alternating == 'windowbg') ? 'windowbg2' : 'windowbg';

	}

	tableFooter($context['achievements_owners']['pages']['current'], $context['achievements_owners']['pages']['total'], $context['achievements_owners']['pages']['link']);
}

function template_achievements_add() {
	global $txt, $context, $modSettings, $scripturl, $boardurl;

	requestDonation();
	$context['achievements_edit']['enabled'] = 1;

	echo '
		<table width="100%" cellpadding="5" cellspacing="0" border="0" class="tborder" style="margin-top: 1.5ex;">
			<tr class="titlebg"><td align="center">', $txt['achievements_adding'], '</td></tr>
			<tr valign="top" class="windowbg2">
				<td style="padding-bottom: 2ex;" width="100%">
					<form action="', $scripturl, '?action=admin;area=achievements_info;do=add_save" method="post" name="theAdminForm">';
	achievement_info_edit_table();
	echo '
						<br /><input type="submit" value="', $txt['acheivements_save'], '"/>
					</form>
			</td></tr>
		</table>';
}

function template_achievements_edit() {
	global $txt, $context, $modSettings, $scripturl, $boardurl;

	requestDonation();

	echo '
		<table width="100%" cellpadding="5" cellspacing="0" border="0" class="tborder" style="margin-top: 1.5ex;">
			<tr class="titlebg"><td align="center">', $txt['achievements_edit'], '</td></tr>
			<tr valign="top" class="windowbg2">
				<td style="padding-bottom: 2ex;" width="100%">
					', $txt['achievements_editing'], ' ', $context['achievements_edit']['id'], ':
					<form action="', $scripturl, '?action=admin;area=achievements_info;do=save" method="post" name="theAdminForm">
						<input type="hidden" name="id" value="', $context['achievements_edit']['id'], '" />';
	achievement_info_edit_table();
	echo '
						<br /><input type="submit" value="', $txt['acheivements_save'], '"/>
					</form>
				</td></tr>
			</table>';
}

function achievement_info_edit_table() {
	global $txt, $context, $modSettings, $scripturl, $boardurl;

	echo '
	<table>
			<tr>
				<td align="right"><label for="ach_name">', $txt['achievement_name'], ':</label></td>
				<td><input name="ach_name" id="ach_name" type="text" value="', arraySafeGet($context['achievements_edit'],'name'), '" size="80"  style="width: 100%" /></td>
			</tr>
			<tr>
				<td align="right" valign="top"><label for="ach_desc">', $txt['achievement_description'], ':</label></td>
				<td><textarea name="ach_desc" id="ach_desc" cols="40" rows="2" style="width: 100%">', arraySafeGet($context['achievements_edit'],'desc'), '</textarea></td>
			</tr>
			<tr>
				<td align="right"><label for="ach_link">', $txt['achievement_link'], ':</label></td>
				<td><input name="ach_link" id="ach_link" type="text" value="', arraySafeGet($context['achievements_edit'],'link'), '" size="80"  style="width: 100%" /></td>
			</tr>
			<tr>
				<td align="right"><label for="ach_cat">', $txt['achievement_category'], ':</label></td>
				<td><input name="ach_cat" id="ach_cat" type="text" value="', arraySafeGet($context['achievements_edit'],'category'), '" size="80"  style="width: 100%" /></td>
			</tr>
			<tr>
				<td align="right"><label for="icon">', $txt['acheivement_image'], ':</label></td>
				<td>
					<!-- TODO: Should JavaScript detect Sources URL? -->
					<script type="text/javascript" language="javascript">
					<!--
					function show_image()
					{
						if (document.theAdminForm.icon.value !== "none")
						{
							var image_url = "', $boardurl, '/Sources/achievements/images/" + document.theAdminForm.icon.value;
							document.images["icon"].src = image_url;
						}
						else
						{
							document.images["icon"].src = "', $boardurl, '/Sources/achievements/images/blank.gif";
						}
					}
					//-->
					</script>

					<select name="icon" id="icon" onchange="show_image()">
						<option value="blank.gif"', (arraySafeGet($context['achievements_edit'],'image') == 'blank.gif' ? ' selected="selected"' : ''), '>[NONE]</option>';
// Get all images for the dropdown list
foreach ($context['achievement_images'] as $image)
echo '
						<option value="', $image, '"', (arraySafeGet($context['achievements_edit'],'image') == $image ? ' selected="selected"' : ''), '>', $image, '</option>';
echo '
					</select>
					<img name="icon" src="', $boardurl, '/Sources/achievements/images/', arraySafeGet($context['achievements_edit'],'image'), '" border="1" width="', $modSettings['achievementImageWidth'], '" height="', $modSettings['achievementImageHeight'], '" alt="Item Image" /><br />
					', $txt['achievements_image_path_notice'], '

				</td>
			</tr>
			<tr>
				<td align="right"><label for="ach_enabled">', $txt['achievement_enabled'], ':</label></td>
				<td>
					<input type="checkbox" name="ach_enabled"', arraySafeGet($context['achievements_edit'], 'enabled') ? ' checked="checked"' : '', ' class="input_check" />
				</td>
			</tr>
			<tr>
					<td></td>
					<td>',$txt['achievements_optional_for_auto_task'],'</td>
			</tr>
			<tr>
					<td></td>
					<td>',$txt['achievements_bad_input_causes_errors'],'</td>
			</tr>
			<tr>
				<td align="right"><label for="ach_table">', $txt['achievement_table_name'], ':</label></td>
				<td><input name="ach_table" id="ach_table" type="text" value="', arraySafeGet($context['achievements_edit'],'table_name'), '" size="80"  style="width: 100%" /></td>
			</tr>
			<tr>
				<td align="right"><label for="ach_id_field">', $txt['achievement_id_field'], ':</label></td>
				<td><input name="ach_id_field" id="ach_id_field" type="text" value="', arraySafeGet($context['achievements_edit'],'id_field'), '" size="80"  style="width: 100%" /></td>
			</tr>
			<tr>
				<td align="right"><label for="ach_comp_field">', $txt['achievement_comparison_field'], ':</label></td>
				<td><input name="ach_comp_field" id="ach_comp_field" type="text" value="', arraySafeGet($context['achievements_edit'],'comparison_field'), '" size="80"  style="width: 100%" /></td>
			</tr>
			<tr>
				<td align="right"><label for="ach_comp">', $txt['achievement_comparison_type'], ':</label></td>
				<td><input name="ach_comp" id="ach_comp" type="text" value="', arraySafeGet($context['achievements_edit'],'comparison_type'), '" size="5" /></td>
			</tr>
			<tr>
				<td align="right"><label for="ach_comp_value">', $txt['achievement_comparison_value'], ':</label></td>
				<td><input name="ach_comp_value" id="ach_comp_value" type="text" value="', arraySafeGet($context['achievements_edit'],'comparison_value'), '" size="5" /></td>
			</tr>
		</table>';
}

// Add/Edit achievements
function template_achievements_add_edit()
{
	global $txt, $context, $modSettings, $scripturl, $boardurl;

	requestDonation();
	
	// If we need the sort box _or_ categories box (or both)
	if ((isset($context['achievements_info']['sort']) && $context['achievements_info']['sort'] == true) || (isset($context['achievements_info']['categories']))) 
	{
		echo '
				<div class="tborder catbg" style="padding: 4px; border-bottom: none">
					
					<form action="', $scripturl, '" method="get">
						<input type="hidden" name="action" value="admin" />
						<input type="hidden" name="area" value="achievements_info" />';
			
		// The categories box?
		if (isset($context['achievements_info']['categories']))
		{
			echo '
						<div style="float: left">
							<b>', $txt['achievements_category'], ': </b>
							<select name="cat">
								<option value="-1"', ($context['achievements_info']['category'] == -1 ? ' selected="selected"' : ''), '>', $txt['achievements_cat_all'], '</option>
								<option value="0"', ($context['achievements_info']['category'] == 0 ? ' selected="selected"' : ''), '>', $txt['achievements_cat_no'], '</option>';
				foreach ($context['achievements_info']['categories'] as $category)
					echo '
					<option value="', $category, '"', ($context['achievements_info']['category'] == $category ? ' selected="selected"' : ''), '>', $category, '</option>';
				
				echo '
							</select>
							<input type="submit" value="Go" />
						</div>';
		}

		echo '<div style="display: inline-block;width: 25%;text-align: center;"><a href="', $scripturl, '?action=admin;area=achievements_info;do=add">', $txt['achievement_add'], '</a></div>';

		// The sort box?
		if (isset($context['achievements_info']['sort']) && $context['achievements_info']['sort'] == true)
			echo '
						<div style="float: right">
								<b>', $txt['achievements_sort'], ':</b>
								<select name="sort">
									<option value="0"', ($context['achievements_info']['sort_type'] == $txt['achievement_name'] ? ' selected="selected"' : ''), '>', $txt['achievement_name'], '</option>
									<option value="1"', ($context['achievements_info']['sort_type'] == $txt['achievement_description'] ? ' selected="selected"' : ''), '>', $txt['achievement_description'], '</option>
									<option value="2"', ($context['achievements_info']['sort_type'] == $txt['achievement_category'] ? ' selected="selected"' : ''), '>', $txt['achievement_category'], '</option>
									<option value="3"', ($context['achievements_info']['sort_type'] == $txt['achievement_link'] ? ' selected="selected"' : ''), '>', $txt['achievement_link'], '</option>
									<option value="4"', ($context['achievements_info']['sort_type'] == $txt['achievement_table_name'] ? ' selected="selected"' : ''), '>', $txt['achievement_table_name'], '</option>
									<option value="5"', ($context['achievements_info']['sort_type'] == $txt['achievement_comparison_field'] ? ' selected="selected"' : ''), '>', $txt['achievement_comparison_field'], '</option>
								</select>
								
								<select name="sortDir">
									<option value="0"', ($context['achievements_info']['sort_dir'] == $txt['achievements_asc'] ? ' selected="selected"' : ''), '>', $txt['achievements_asc'], '</option>
									<option value="1"', ($context['achievements_info']['sort_dir'] == $txt['achievements_desc'] ? ' selected="selected"' : ''), '>', $txt['achievements_desc'], '</option>
								</select>
								
								<input type="submit" value="Go" />
							
						</div>';
		echo '
					</form><br clear="all" />
				</div>';
	}
	
	echo '
			<form action="', $scripturl, '?action=admin;area=achievements_info;do=bulk_save" method="post" name="theAdminForm">
				<table width="100%" cellpadding="5" cellspacing="1" border="0" class="bordercolor">
					<tr valign="top" class="titlebg">
						<td>
							<b>', $txt['achievement_enabled'], '</b>
						</td>
						<td width="32">
							<b>', $txt['acheivement_image'], '</b>
						</td>
						<td>
							<b>', $txt['achievement_name'], '</b>
						</td>
						<td>
							<b>', $txt['achievement_user_count'], '</b>
						</td>
						<td>
							<b>', $txt['achievement_category'], '</b>
						</td>
						<td>
							<b>', $txt['achievement_description'], '</b>
						</td>
						<td>
							<b>', $txt['achievement_link'], '</b>
						</td>
						<td>
							<b>', $txt['achievement_table_name'], '</b>
						</td>
						<td>
							<b>', $txt['achievement_id_field'], '</b>
						</td>
						<td>
							<b>', $txt['achievement_comparison_type'], '</b>
						</td>
						<td>
							<b>', $txt['achievement_actions'], '</b>
						</td>
					</tr>
					<script type="text/javascript" language="javascript">
						<!--
						function show_image(id)
						{
							if (document.theAdminForm["icon[" + id + "]"].value !== "none")
							{
								var image_url = "', $boardurl, '/Sources/achievements/images/" + document.theAdminForm["icon[" + id + "]"].value;
								document.images["icon[" + id + "]"].src = image_url;
							}
							else
							{
								document.images["icon[" + id + "]"].src = "', $boardurl, '/Sources/achievements/images/blank.gif";
							}
						}
						//-->
						</script>';

	$alternating = "windowbg2";
	
	// Loop through all the achievements
	foreach ($context['achievements_info']['achievements'] as $item)
	{
		echo '
				<input type="hidden" name="ach_list[', $item['id'], ']" value=' , $item['id'] , ' />
					<tr valign="top" class="', $alternating, '">
						<td>
							<input type="checkbox" name="ach_enabled[', $item['id'] ,']"', $item['enabled'] ? ' checked="checked"' : '', ' class="input_check" />
							<br/><br/>
							<a href="', $scripturl, '?action=profile;area=achievements;do=add&iv=', $item['iv'] ,'&hash=', $item['hash'], '">', $txt['achievement_self_reward'], '</a>
						</td>
						<td>
						<select name="icon[', $item['id'], ']" id="icon[', $item['id'], ']" onchange="show_image(', $item['id'],')">
							<option value="blank.gif"', ($item['image'] == 'blank.gif' ? ' selected="selected"' : ''), '>[NONE]</option>';
			// Get all images for the dropdown list
			foreach ($context['achievement_images'] as $image)
			echo '
									<option value="', $image, '"', ($item['image'] == $image ? ' selected="selected"' : ''), '>', $image, '</option>';
			echo '
								</select>
								<img name="icon[', $item['id'], ']" src="', $boardurl, '/Sources/achievements/images/', $item['image'], '" border="1" width="', $modSettings['achievementImageWidth'], '" height="', $modSettings['achievementImageHeight'], '" alt="Item Image" />
						</td>
						<td style="padding-bottom: 2ex;">
							<input name="ach_name[', $item['id'], ']" type="text" value="', $item['name'], '" />
						</td>
						<td>
							<a href="' , $scripturl ,'?action=admin;area=achievements_members;do=viewach;achid=', $item['id'] ,'">', $item['user_count'], '</a>
						</td>
						<td>
							<input name="ach_cat[', $item['id'], ']" type="text" value="', $item['category'], '" size=10 />
						</td>
						<td>
							<textarea name="ach_desc[', $item['id'], ']" rows="3" type="text">', $item['desc'], '</textarea>
						</td>
						<td>
							<input name="ach_link[', $item['id'], ']" type="text" value="', $item['link'], '" />
						</td>
						<td>
							', $item['table_name'], '
						</td>
						<td>
							', $item['id_field'], '
						</td>
						<td>
							', $item['comparison_field'], ' ', $item['comparison_type'], ' ', $item['comparison_value'], '
						</td>
						<td>
							<a href="', $scripturl, '?action=admin;area=achievements_info;do=edit&id=', $item['id'], '">', $txt['achievement_edit'], '</a>
							<br/><br/>
							<a href="', $scripturl, '?action=admin;area=achievements_info;do=delete&id=', $item['id'], '">', $txt['achievement_delete'], '</a>
							<br/><br/>
							<a href="', $scripturl, '?action=admin;area=achievements_info;do=duplicate&id=', $item['id'], '">', $txt['achievement_duplicate'], '</a>
						</td>
					</tr>';
					
		// Change the alternating row background
		$alternating = ($alternating == 'windowbg') ? 'windowbg2' : 'windowbg';

	}

	echo '
					<tr>
					<td></td>
					<td></td>
					<td>
						<input type="submit" value="' . $txt['acheivements_save'] . '" class="button_submit" />
					</td>
					</tr>
					</form>';

	tableFooter($context['achievements_info']['pages']['current'], $context['achievements_info']['pages']['total'], $context['achievements_info']['pages']['link']);
}

function template_achievement_audit() {
	global $txt, $context, $modSettings, $scripturl, $boardurl;

	requestDonation();
	
	// If we need the sort box _or_ categories box (or both)
	if (isset($context['achievements_audit']['sort']) && $context['achievements_audit']['sort'] == true) 
	{
		echo '
				<div class="tborder catbg" style="padding: 4px; border-bottom: none">';

		// The sort box?
		if (isset($context['achievements_audit']['sort']) && $context['achievements_audit']['sort'] == true)
			echo '
				<form action="', $scripturl, '" method="get">
					<input type="hidden" name="action" value="admin" />
					<input type="hidden" name="area" value="achievements_audit" />
					<div style="float: right">
						<b>', $txt['achievements_sort'], ':</b>
						<select name="sort">
							<option value="0"', ($context['achievements_audit']['sort_type'] == $txt['achievement_time'] ? ' selected="selected"' : ''), '>', $txt['achievement_time'], '</option>
							<option value="1"', ($context['achievements_audit']['sort_type'] == $txt['achievement_name'] ? ' selected="selected"' : ''), '>', $txt['achievement_name'], '</option>
							<option value="2"', ($context['achievements_audit']['sort_type'] == $txt['achievement_display_name'] ? ' selected="selected"' : ''), '>', $txt['achievement_display_name'], '</option>
							<option value="3"', ($context['achievements_audit']['sort_type'] == $txt['achievement_achievement'] ? ' selected="selected"' : ''), '>', $txt['achievement_achievement'], '</option>
						</select>
						
						<select name="sortDir">
							<option value="0"', ($context['achievements_audit']['sort_dir'] == $txt['achievements_asc'] ? ' selected="selected"' : ''), '>', $txt['achievements_asc'], '</option>
							<option value="1"', ($context['achievements_audit']['sort_dir'] == $txt['achievements_desc'] ? ' selected="selected"' : ''), '>', $txt['achievements_desc'], '</option>
						</select>
						
						<input type="submit" value="Go" />
					</div>';
		echo '
					</form><br clear="all" />
				</div>';
	}
	
	echo '
				<table width="100%" cellpadding="5" cellspacing="1" border="0" class="bordercolor">
					<tr valign="top" class="titlebg">
						<td>
							<b>', $txt['achievement_time'], '</b>
						</td>
						<td>
							<b>', $txt['achievement_actions'], '</b>
						</td>
						<td>
							<b>', $txt['achievement_editor_name'], '</b>
						</td>
						<td>
							<b>', $txt['achievement_display_name'], '</b>
						</td>
						<td>
							<b>', $txt['achievement_member_name'], '</b>
						</td>
						<td>
							<b>', $txt['achievement_achievement_name'], '</b>
						</td>
						<td>
							<b>', $txt['acheivement_image'], '</b>
						</td>
					</tr>';

	$alternating = "windowbg2";
	
	// Loop through all the achievements
	foreach ($context['achievements_audit']['members'] as $item)
	{
		echo '
					<tr valign="top" class="', $alternating, '">
						<td>
							', date('m-d-Y H:i:s', $item['event_time']), '
						</td>
						<td>
							', $item['action'], '
						</td>
						<td>
							', $item['audit_member_real_name'], '
						</td>
						<td>
						<a href="' , $scripturl ,'?action=admin;area=achievements_members;do=viewmember;userid=', $item['member_id'] ,'">', $item['real_name'], '</a>
						</td>
						<td>
							<a href="' , $scripturl ,'?action=admin;area=achievements_members;do=viewmember;userid=', $item['member_id'] ,'">', $item['member_name'], '</a>
						</td>
						<td>
							<a href="' , $scripturl ,'?action=admin;area=achievements_members;do=viewach;achid=', $item['ach_id'] ,'">', $item['ach_name'], '</a>
						</td>
						<td>
							<img border="0" width="', $modSettings['achievementImageWidth'], '" height="', $modSettings['achievementImageHeight'], '" src="', $boardurl, '/Sources/achievements/images/', $item['ach_image'], '" alt="Item Image" />
						</td>
					</tr>';
					
		// Change the alternating row background
		$alternating = ($alternating == 'windowbg') ? 'windowbg2' : 'windowbg';

	}

	tableFooter($context['achievements_audit']['pages']['current'], $context['achievements_audit']['pages']['total'], $context['achievements_audit']['pages']['link']);
}

function requestDonation() {
	global $txt;
	echo '
		<div><a href="mailto:smf@chrisjohn.digital">', $txt['achievement_support_email'], '</a></div>
		<div>', $txt['achievement_support_request'], '</div>
		<div style="padding-bottom:0.5rem;"><a href="https://paypal.me/chrisjohndigital" target="_blank">', $txt['achievement_support_link'], ' https://paypal.me/chrisjohndigital</a></div>
	';
}

function arraySafeGet($array, $index) {
	return isset($array[$index]) ? $array[$index] : null;
}

function tableFooter($currentPage, $totalPages, $link) {
	global $txt;
	// If this listing should have paging at the bottom
	if (isset($currentPage) && isset($totalPages))
	{
		echo '
				<tr>
					<td colspan="4" align="right" class="catbg">Pages: ';
		
		//If current page != 1, show '< Back' link
		if ($currentPage != 1)
		{
			$prevPage = $currentPage - 1;
			echo '
						<a href="', $link, ';page=', $prevPage, '">', $txt['achievements_back'], '</a> ';
		}
		else
			echo '
						', $txt['achievements_back'], '';
		
		// Show links to all pages
		for ($x = 1; $x <= $totalPages; $x++)
		{
			// If this number is the current page, don't make number a link
			if ($x == $currentPage)
				echo '
						<b>', $x, '</b>';
			else
				echo '
						<a href="', $link, ';page=', $x, '">', $x, '</a> ';			
		}
		
		// If current page != last page, show 'Next >' link
		if ($currentPage != $totalPages)
		{
			$nextPage = $currentPage + 1;
			echo '
						<a href="', $link, ';page=', $nextPage, '">', $txt['achievements_next'], '</a> ';
		}
		else
			echo '
						', $txt['achievements_next'], ' ';
	
		echo '
					</td>
				</tr>';
	}
	
	// Close the table
	echo '
			</table>';
}

?>
