<?php

// If we have found SSI.php and we are outside of SMF, then we are running standalone.
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
{
	$ssi = true;
	require_once(dirname(__FILE__) . '/SSI.php');
}

// If we are outside SMF and can't find SSI.php, then throw an error.
elseif (!defined('SMF'))
	exit('<strong>Error:</strong> Cannot install - please verify you put this in the same place as SMF\'s index.php.');
	
$hook_functions = array(
    'integrate_admin_include' => '$sourcedir/achievements/AchievementsAdmin.php',
    'integrate_admin_areas' => 'AchievementsAdminArea',
    'integrate_pre_include' => '$sourcedir/achievements/Achievements.php',
    'integrate_pre_profile_areas' => 'AchievementsProfileArea',
	'integrate_profile_areas' => 'AchievementsProfileArea',
	'integrate_load_permissions' => 'AchievementsPermissions',
);

if (!empty($context['uninstalling']))
	$call = 'remove_integration_function';
else
	$call = 'add_integration_function';

foreach ($hook_functions as $hook => $function)
	$call($hook, $function);			

if (!empty($ssi))
	echo 'Congratulations! You have successfully installed this mod!';